org.fourthline.cling.support.lastchange

## Class EventedValueEnum<E extends Enum>

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<E>
  - - org.fourthline.cling.support.lastchange.EventedValueEnum<E>

- Direct Known Subclasses:
    AVTransportVariable.CurrentPlayMode, AVTransportVariable.CurrentRecordQualityMode, AVTransportVariable.RecordMediumWriteStatus, AVTransportVariable.RecordStorageMedium, AVTransportVariable.TransportState, AVTransportVariable.TransportStatus

      public abstract class EventedValueEnum<E extends Enum>
      extends EventedValue<E>

  Author:
    Christian Bauer

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventedValueEnum(E e)`
    `EventedValueEnum(Map.Entry<String,String>[] attributes)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract E` | `enumValueOf(String s)`
    `protected Datatype` | `getDatatype()`
    `String` | `toString()`
    `protected E` | `valueOf(String s)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getAttributes, getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventedValueEnum

          public EventedValueEnum(E e)

    - #### EventedValueEnum

          public EventedValueEnum(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### valueOf

          protected E valueOf(String s)
                       throws InvalidValueException

      Overrides:
        `valueOf` in class `EventedValue<E extends Enum>`
      Throws:
        `InvalidValueException`

    - #### enumValueOf

          protected abstract E enumValueOf(String s)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventedValue<E extends Enum>`

    - #### getDatatype

          protected Datatype getDatatype()

      Specified by:
        `getDatatype` in class `EventedValue<E extends Enum>`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.